Loading...
Searching...
No Matches
multfunc Struct Reference

`#include <qtree.h>`

Collaboration diagram for multfunc:
[legend]

## Data Fields

int(* | compare )(struct triple *, struct quaddata *)
struct quaddata **(* | divide_data )(struct quaddata *, int, double)
int(* | add_data )(struct triple *, struct quaddata *, double)
int(* | intersect )(struct quaddata *, struct quaddata *)
int(* | division_check )(struct quaddata *, int)
int(* | get_points )(struct quaddata *, struct quaddata *, int)

## Detailed Description

Function table for a tree

From object oriented point of view, this structure represents a class or a virtual table of functions/methods for a class.

Definition at line 36 of file qtree.h.

## Field Documentation

## add_data

int(* multfunc::add_data) (struct triple *, struct quaddata *, double)

Definition at line 39 of file qtree.h.

Referenced by MT_functions_new(), and MT_insert().

## compare

int(* multfunc::compare) (struct triple *, struct quaddata *)

Definition at line 37 of file qtree.h.

Referenced by MT_functions_new(), and MT_insert().

## divide_data

struct quaddata **(* multfunc::divide_data) (struct quaddata *, int, double)

Definition at line 37 of file qtree.h.

Referenced by MT_divide(), and MT_functions_new().

## division_check

int(* multfunc::division_check) (struct quaddata *, int)

Definition at line 41 of file qtree.h.

Referenced by MT_functions_new(), and MT_insert().

## get_points

int(* multfunc::get_points) (struct quaddata *, struct quaddata *, int)

Definition at line 42 of file qtree.h.

Referenced by MT_functions_new(), and MT_region_data().

## intersect

int(* multfunc::intersect) (struct quaddata *, struct quaddata *)

Definition at line 40 of file qtree.h.

Referenced by MT_functions_new(), and MT_region_data().

The documentation for this struct was generated from the following file:

- qtree.h